Figure - 0 O Dev #119145
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 O Dev# 119107 (New): 0 MKO O AF0 O HiCar0 O TC-RID: 1201-02080010 0 0 O O HiCarD O
0 MKO O MMO O HiCard O TC-RID: 1201-02080010 O O O O
2023-08-04 17:38 - CD TPM-0 0 O

Status: 000 InProgress Start date: 2023-08-30
Priority: Normal Due date:

Assignee: Multimediall -RD3_TSCD O O O % Done: 0%
Category: AUDIO-FW Estimated time: 0.00 hour
Target version:

Description

OO0PRDOUXOUIDDOOODODOO
https://thundersoft.feishu.cn/drive/folder/CgrEf2z7LIUeV3dTulkcHTWannh
https://developer.huawei.com/consumer/cn/doc/development/HiCar-Guides/audio-management-0000000000030782

Subtasks:

00O Dev#119334: 0 MKO O MMO O HiCarD O TC-RID: 1201-02080010 0 0 O O New

History

#1 - 2023-08-25 16:07 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
304859 general/platform/hardware/qcom/audi | Pre_figure_turbox-c2130c-lal.1-vendo | tangyj0127@thundersoft.com
o} r-dev

MM:HiCar: Add audio-tts-playbackAdd audio-tts-playbackTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
1eb63d994a995771e974f51dead155aeaah7a2a93

#2 - 2023-08-25 16:07 - 0T scm

Gerrit Merge Information(

1D Project Branch Uploader
306401 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com
Car -dev

MM:HiCar: ADD STREAM_TTS MAPADD STREAM_TTS MAPEnable Audio SplitTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d:
1e3b644605cf48cfe7129a85710c419cfc0d36f9f

#3 - 2023-08-25 16:07 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

306414 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com

2025-07-03

1/15



https://thundersoft.feishu.cn/drive/folder/CgrEf2z7LlUeV3dTu1kcHTWannh
https://developer.huawei.com/consumer/cn/doc/development/HiCar-Guides/audio-management-0000000000030782

-dev

MM:HiCar: HiCar playback without limitationsHiCar playback without limitationsTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
10da92b74512229433e530e5beb641dbb838f071a

#4 - 2023-08-25 16:17 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

305055

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:HiCar: pri_rx_2 dtsi changeTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d: 128e85c9e158f5900b38c070d62b660fa79480ch5

#5 - 2023-08-25 16:17 - 0T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

305054

general/platform/vendor/opensource/a

udio-kernel

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:HiCar:kona driver add pri_rx_2 portTC-RID: 1201-0208001Issuel D: TS-R-DF-119145Change-1d: 17b1c8a66e233dca3455¢77ade6ac97f403b12¢c29

#6 - 2023-08-28 14:40 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

306972

general/platform/hardware/qcom/audi

0o

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

tangyj0127@thundersoft.com

MM:HiCar: Add tts_playback routesAdd tts_playback routesTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d:
1c308e23478¢859haa8837937d68edd1a59dfd7h6

#7 - 2023-08-29 15:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

307333

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tangyj0127@thundersoft.com

2025-07-03

2/15




MM:HiCar: Fix HiCar Call and Music FocusFix HiCar Call and Music FocusTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d:
12be7d2be309ea7a3e538ef64d6c7d22e03d83783

#8 - 2023-09-01 13:36 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

308967

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM:HiCar: GetPackageName from pidGetPackageName from pidTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
lee82ab143014615755449df180echa5651cf08bf

#9 - 2023-09-14 15:00 - Multimediall -RD3_TSCD O O O
- Status changed from New to [0 [0 O In Progress

ooooo

lHICaO OO O OO0O00000000000000000000000TTSO0000

2TTSOOOO0O00O0O000DO0000

#10 - 2023-09-14 15:21 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

312769

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tangyj0127@thundersoft.com

MM:HiCar:HiCar output strategy changeHiCar output strategy change TC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-Id:
15c5¢a523a4f075b505f0cd6693ef8bb46f42d02a

#11 - 2023-09-14 15:21 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

312743

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM:HiCar: TTS Stream not request audiofocusTTS Stream not request audiofocusTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-I1d:
la76bb7ea7acdaae854fe031c657db4d67476e432

#12 - 2023-09-20 13:58 - 10T scm

2025-07-03

3/15




Gerrit Merge Information(

1D Project Branch Uploader
314421 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com
-dev

MM:HiCar: Priority Mute MediaPriority Mute MediaTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
12d82bfeff52273c04da015e69f398194c4e2b0d5

#13 - 2023-09-21 10:05 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
314722 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
Car -dev

MM:HiCar: HiCar properties configureBitrate Configuration ChangesTC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-1d:
laf9eSed1efe66761a7a771a57d2be260d12fdcf7

#14 - 2023-09-21 18:03 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
314991 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM:HiCar: Internal Focus do not updatedInternal Focus do not updatedTC-RID: 1201-0208001Issuel D: TS-R-DF-119145,VCH-176Change-Id:
1£363f8b11e4684b1414a6555e550f25805355a95

#15 - 2023-09-22 14:52 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
314780 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM:HiCar: Modify the way HiCar request focusModify the way HiCar request focusTC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-Id:
188490f081b15aale555a6ef619df6b6d64d2034c

#16 - 2023-10-07 11:32 - loT scm

Gerrit Merge Information(]

2025-07-03 4/15



1D Project Branch Uploader

317246 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com

-dev

MM:HiCar:Fix volume sync during callsFix volume sync during callsTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
14935039a92a3d52f1be8b077ce67f75a79ad6e62

#17 - 2023-10-08 11:32 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
317440 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM:HiCar:Fix focus issue during callFix focus issue during callTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d:
14896¢c473da3d6a5b23a67¢c2c592bf141fe53e2c6

#18 - 2023-10-12 17:37 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
318954 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM:HiCar:Fix HiCar WeChat VOIP audiofocus issueFix HiCar WeChat VOIP audiofocus issue TC-RID: 1201-0208001IssuelD:; TS-R-DF-119145Change-Id:
11815cc0b82690ea67¢23334bfcce79df45ef3f43

#19 - 2023-10-16 19:26 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
319328 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM:HiCar:Fix mute error when requesting call focus failsFix mute error when requesting call focus failsTC-RID: 1201-02080011ssuelD:
TS-R-DF-119145,VCH-453,VCH-456,VCH-457Change-1d: 1d7061fba8497bcafb4c0d433c5d1089322¢384b8

#20 - 2023-10-16 19:26 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

2025-07-03 5/15




319823 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com

Car -dev

MM:HiCar:Fix the incoming voice prompt is silentFix the incoming voice prompt is silentTC-RID: 1201-02080011ssuel D: TS-R-DF-119145Change-1d:
132¢631d45401dc725e62d98c49a9d0908cdab7d4

#21 - 2023-10-17 16:19 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
320044 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM:HiCar:Fix HiCar call focus issueFix HiCar call focus issueTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
17c27283bd46cc28183479dcfcd12fc30b9eed 7a5

#22 - 2023-10-20 20:56 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
321062 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
Car -dev

MM:HiCar:Fix HiCar Audio StutteringFix HiCar Audio StutteringTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
142b7eeea3b625bc414f2bab0afc17ba9964767e3

#23 - 2023-10-20 22:33 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
321359 general/platform/vendor/opensource/a | Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com
udio-kernel r-dev

Audio:HiCar: enable echo-refrence PRI_TX_1 pathTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id: 1279977a0887a4e2a828511857f5c6b0f410bdbe5

#24 - 2023-10-23 20:52 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
321974 general/platform/frameworks/av Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

2025-07-03 6/15




MM:HiCar:Use speaker when voice callUse speaker when voice callTC-RID: 1201-02080011ssuel D: TS-R-DF-119145Change-1d:

11747d62d156fcceeb62dabl18caaed5a33e4d2f25

#25 - 2023-10-23 20:52 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
321953 general/platform/hardware/qcom/audi | Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com
o} r-dev

1665303edb2eafecff58bh0ff200286979ebefe85

MM:HiCar:enable 4mic fluence pro algorithmenable 4mic fluence pro algorithmTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-I1d:

#26 - 2023-10-24 19:21 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
322348 general/platform/hardware/qcom/audi | Pre_figure_turbox-c2130c-lal.1-vendo | tangyj0127@thundersoft.com
0 r-dev

TS-R-DF-119145Change-Id: 1844edf5ec363a041baea532e9d17c7f6e72409ac

MM:HiCar:echo-reference enable when HiCar voice callecho-reference enable when HiCar voice callTC-RID: 1201-02080011ssuel D:

#27 - 2023-10-24 19:22 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
322369 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
Car -dev

18f3a5662a910057da20ff49856faf48f86735c80

MM:HiCar:HiCar usage 3 change to tts-playbackHiCar usage 3 change to tts-playback TC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-I1d:

#28 - 2023-10-25 19:31 - 10T scm
Gerrit Merge Information(

1D Project

Branch

Uploader

322632 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03
MM:HiCar: HiCar playback without limitationsHiCar playback without limitationsTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
10da92b74512229433e530e5beb641dbb838f071a(cherry picked from commit f3c2fc20a5ae57af89al0a52eal75785e6fad715)

#29 - 2023-10-25 19:31 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

322633 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM:HiCar: Fix HiCar Call and Music FocusFix HiCar Call and Music FocusTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
12be7d2be309ea7a3e538ef64d6c7d22e03d83783(cherry picked from commit f6ea0fd7dca0f698a391cde8afbb9833b3066d01)

#30 - 2023-10-25 19:40 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

322780 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM:HiCar: GetPackageName from pidGetPackageName from pidTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
lee82ab143014615755449df180echa5651cf08bf(cherry picked from commit f087a90364bcc304d30c51e37b7f64e8c58a4628)

#31 - 2023-10-26 22:07 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader

323032 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM:HiCar: TTS Stream not request audiofocusTTS Stream not request audiofocusTC-RID: 1201-0208001Issuel D: TS-R-DF-119145Change-I1d:
la76bb7ea7acdaae854fe031c657db4d67476e432(cherry picked from commit 84b513ea41d9bce7285f51933d4fc05767c58be0)

#32 - 2023-10-27 00:38 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

323222 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

2025-07-03 8/15




MM:HiCar: Priority Mute MediaPriority Mute MediaTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
12d82bfeff52273c04da015e69f398194c4e2b0d5(cherry picked from commit 977b765deb3ee96f8b746b8c372ae83a8977be42)

#33 - 2023-10-27 00:39 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323223

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

MM:HiCar: Internal Focus do not updatedinternal Focus do not updatedTC-RID: 1201-0208001Issuel D: TS-R-DF-119145,VCH-176Change-Id:
1f363f8b11e4684b1414a6555e550f25805355a95(cherry picked from commit 02f0bb5097721815e14dcef8f35c1de30820b850)

#34 - 2023-10-27 00:40 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323225

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM:HiCar: Modify the way HiCar request focusModify the way HiCar request focusTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
188490f081b15aale555a6ef619df6h6d64d2034c(cherry picked from commit 6b1lac91929e32cc12a29d428dd3b68f8a190ef2e)

#35 - 2023-10-27 00:59 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323255

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:Fix volume sync during callsFix volume sync during callsTC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-Id:
14935039a92a3d52f1be8b077ce67f75a79ad6e62(cherry picked from commit 5ddb1c7d042e27be85911173be364c31eaf71b9c)

#36 - 2023-10-27 01:01 - 10T scm

Gerrit Merge Information(]

ID

Project

Branch

Uploader

323257

2025-07-03

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

wangxl0510@thundersoft.com
-release_sorp

MM:HiCar:Fix focus issue during callFix focus issue during callTC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-1d:
14896¢473da3d6a5b23a67c2c592bf141fe53e2c6(cherry picked from commit bb090a2051b4529b007d82899c69ebabdadce5e3)

#37 - 2023-10-27 01:10 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

323266

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:Fix HiCar WeChat VOIP audiofocus issueFix HiCar WeChat VOIP audiofocus issueTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
11815cc0b82690ea67c23334bfcce79df45ef3f43(cherry picked from commit 1f13922¢f99502d7a3d0bbca6b8546389a547991)

#38 - 2023-10-27 01:19 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

323278

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:Fix mute error when requesting call focus failsFix mute error when requesting call focus failsTC-RID: 1201-02080011ssuelD:
TS-R-DF-119145,VCH-453,VCH-456,VCH-457Change-1d: 1d7061fba8497bcafb4c0d433c5d1089322¢384b8(cherry picked from commit
3dc8h560f302b30e837b51f8b67ala7a778be45f)

#39 - 2023-10-27 01:43 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323298

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:Fix HiCar call focus issueFix HiCar call focus issueTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
17¢27283bd46¢c28183479dcfcd12fc30b9eed 7a5(cherry picked from commit 1bfaa716561f93a639010ee1d3e7706d88dee640)

2025-07-03

10/15




#40 - 2023-10-27 02:11 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323329

general/platform/frameworks/av

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:Use speaker when voice callUse speaker when voice callTC-RID: 1201-02080011ssuel D: TS-R-DF-119145Change-Id:
11747d62d156fcceeb62dabl18caaed5a33e4d2f25(cherry picked from commit 68be0df76efeb4f23f9304781931473c90334e8e)

#41 - 2023-10-27 02:22 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323342

general/platform/hardware/qcom/audi

0o

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

MM:HiCar: Add audio-tts-playbackAdd audio-tts-playbackTC-RID: 1201-0208001lssuelD: TS-R-DF-119145Change-Id:
1eb63d9942995771e974f51dea9155aeaab7a2a93(cherry picked from commit 511ae0c929667bf0de3d1bel5¢721b5a879c55¢6)

#42 - 2023-10-27 02:22 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

323343

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:HiCar: pri_rx_2 dtsi changeTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d: 128e85c9e158f5900b38c070d62b660fa79480ch5(cherry picked from
commit 45d2e6b4312ee7169ddb692d29h996906fc1e545)

#43 - 2023-10-27 02:23 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

323344

general/platform/vendor/opensource/a

udio-kernel

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:HiCar:kona driver add pri_rx_2 portTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d: 17h1c8a66e233dca3455¢c77a4e6ac97f403b12¢29(cherry
picked from commit 9b3ffad35e97ad126¢3980fdel3dcec4c88ac937)

2025-07-03
#44 - 2023-10-27 02:24 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323345

general/platform/hardware/qcom/audi

0

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

MM:HiCar: Add tts_playback routesAdd tts_playback routesTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d:
1c308e23478c859baa8837937d68edd1a59dfd7b6(cherry picked from commit aeecccf6a2c447f83a9fbe644d40ab390c4e3544)

#45 - 2023-10-27 02:25 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323347

general/platform/vendor/opensource/a

udio-kernel

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

Audio:HiCar: enable echo-refrence PRI_TX_1 pathTC-RID: 1201-0208001lssuelD: TS-R-DF-119145Change-Id:
127997720887a4e2a8a8511857f5¢6b0f410bdbe5(cherry picked from commit 2¢7e45b719fec29ea8d068d680ed427c2cabd13f)

#46 - 2023-10-27 02:26 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

323348

general/platform/hardware/qcom/audi
0

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:enable 4mic fluence pro algorithmenable 4mic fluence pro algorithmTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-1d:
1665303edb2eafecff58bb0ff200286979ebefe85(cherry picked from commit 77611b253e144dbf7f05b43db1493c5f3f0c55b2)

#47 - 2023-10-27 02:26 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

323349

general/platform/hardware/qcom/audi

(o}

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:echo-reference enable when HiCar voice callecho-reference enable when HiCar voice callTC-RID: 1201-02080011ssuel D:
TS-R-DF-119145Change-Id: 1844edf5ec363a041baea532e9d17c7f6e72409ac(cherry picked from commit 93ceb2f1b86e5d852bee017d2eadOfcacabal0fl)

2025-07-03




#48 - 2023-10-31 17:04 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

324399

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM:HiCar:enable MultiAudioBus Policyenable MultiAudioBus Policy TC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-I1d:
1261c075140b0635f3a8c36b30a2c8ad4619f4545

#49 - 2023-10-31 19:27 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

324489

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:enable MultiAudioBus Policyenable MultiAudioBus Policy TC-RID: 1201-0208001Issuel D: TS-R-DF-119145Change-I1d:
1261c075140b0635f3a8c36b30a2c8ad4619f4545(cherry picked from commit 1c7849b8f4da83602b5931¢c7f9d90e4c739311hb8)

#50 - 2023-11-01 20:27 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

322563

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tangyj0127@thundersoft.com

MM:HiCar:HiCar TTS Request FocusHiCar TTS Request FocusTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
100d026ecd0ab1b87e21fa5639d2250d979caa430

#51 - 2023-11-07 17:12 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

325796

general/platform/frameworks/av

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

tangyj0127@thundersoft.com

MM:HiCar: STREAM_TTS Volume Policy ChangeSTREAM_TTS Volume Policy ChangeTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-I1d:
13af69eee2688a5c607d14681b089a6bebdeda76b

2025-07-03
#52 - 2023-11-07 17:13 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

325463

general/platform/hardware/qcom/audi

0

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

tangyj0127@thundersoft.com

MM:HiCar: audio-tts-playback add bt-a2dpaudio-tts-playback add bt-a2dpTC-RID: 1201-0208001lssuel D: TS-R-DF-119145Change-I1d:
173bb7¢301f47cd4ae6595a21h5886bb1f8336183

#53 - 2023-11-07 17:13 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

325461

general/platform/frameworks/av

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM:HiCar: STREAM_TTS output policy changeSTREAM_TTS output policy changeTC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-1d:
182273f437242d76419b7d529117¢945d48ada589

#54 - 2023-11-07 17:13 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

326089

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tangyj0127@thundersoft.com

MM:HiCar: STREAM_TTS ummute when request grantedSTREAM_TTS ummute when request granted TC-RID: 1201-0208001IssuelD:
TS-R-DF-119145Change-1d: 14bc177a39bfaa8b90f48f43bef6chb7e350079592

#55 - 2023-11-20 13:59 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

329434

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:HiCar HwWDMSDPDevice updateHiCar HWDMSDPDevice updateTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
1327736b1abd56d728b462e53e8080785f12b3ad3

#56 - 2023-11-20 14:57 - 10T scm

2025-07-03




Gerrit Merge Information(

1D

Project

Branch

Uploader

328515

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM:HiCar:HiCar HwDMSDPDevice updateHiCar HWDMSDPDevice updateTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
1327736b1abd56d728b462e53e8080785f12b3ad3

#57 - 2023-12-04 17:00 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

333278

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM:HiCar:ADD NotificationAndMusicADD NotificationAndMusicTC-RID: 1201-0208001IssuelD: TS-R-DF-119145Change-Id:
1e700d6874e2ea66dfce5ec364955d7e6263ecc58

#58 - 2023-12-11 13:58 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

334890

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

MM:HiCar:ADD NotificationAndMusicADD NotificationAndMusicTC-RID: 1201-02080011ssuelD: TS-R-DF-119145Change-Id:
16700d6874e2ea66dfce5ec364955d7e6263ecc58(cherry picked from commit 4a3408e330097e1bb4876eacadd5d84e50fhc4df)

2025-07-03
